summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-06-30 18:19:44 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-06-30 18:19:44 +0100
commit7964b40e10f9f60afb954fed3ca0bd6edebd9a27 (patch)
tree493e3921b5784eeb8dad0dfc0497ab5f0c32ccb1 /sys-boot
parentb52a78444db18f34533b0a9c394642507e6d802c (diff)
sys-boot/etcher : version bump
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/etcher/Manifest4
-rw-r--r--sys-boot/etcher/etcher-1.4.4.ebuild39
-rw-r--r--sys-boot/etcher/etcher-1.5.51.ebuild (renamed from sys-boot/etcher/etcher-1.3.1-r1.ebuild)10
3 files changed, 7 insertions, 46 deletions
diff --git a/sys-boot/etcher/Manifest b/sys-boot/etcher/Manifest
index 04cc96c6..de02d80a 100644
--- a/sys-boot/etcher/Manifest
+++ b/sys-boot/etcher/Manifest
@@ -1,3 +1 @@
-DIST etcher-electron_1.3.1_amd64.deb 50829660 BLAKE2B 25090b4c89944cd7978615eca3b5aa729318f93ea23bcf90f6704cf5e770c937e41afe683af4f83d4415921533ef36d8a77d607088fcea8be3f4550c5bf23864 SHA512 0873b362188253bb09a8e1588e99afd385b84abcc236d7c1d247591004c79b79539bb16bfbc2647e9500a7d61215efd50b67343e711dbdc8808d09de87cab420
-DIST etcher-electron_1.4.4_amd64.deb 57118988 BLAKE2B de0cf2d302ca070bc1caebe4544da80370611cd59ba6be1a7244377b248a01425d535996af9fa37aedcb2d7f220669eed8b8da840c33b9cc2908e56962b52eef SHA512 2453e814f1c3c2e20192201d8cfaff26de2f4ce85d8849bb8200384f0396c35586d1d4119fcfe264eb56e312c62e24d6d8839f31213b129a97f8f1685b724d90
-
+DIST balena-etcher-electron_1.5.51_amd64.deb 57214082 BLAKE2B fb915322df672b3f3fc0418bef8cecd463be4e5cb3abd22ac0fe85dbfbef65496dcf1ef5163a45e631c52e06053bebbff24dd92a91b4a03ebd433aeced27c0eb SHA512 12f386744a7eb2fc0dcdf12614fb3a0cf5f03c7b436b544e21c5cce47563531f0634e74b5a1858b92ffb62de3f31f6d4331567c1bc183a8d01ae1f532585fb78
diff --git a/sys-boot/etcher/etcher-1.4.4.ebuild b/sys-boot/etcher/etcher-1.4.4.ebuild
deleted file mode 100644
index f957dd33..00000000
--- a/sys-boot/etcher/etcher-1.4.4.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-inherit eutils unpacker
-
-DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
-HOMEPAGE="https://etcher.io/"
-SRC_URI="https://github.com/resin-io/${PN}/releases/download/v${PV}/${PN}-electron_${PV}_amd64.deb"
-
-LICENSE="GPL2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND="dev-libs/nss
- gnome-base/gconf
- media-libs/alsa-lib
- sys-apps/lsb-release
- x11-libs/gtk+:2
- x11-libs/libXtst
- x11-libs/libnotify"
-RDEPEND="${DEPEND}"
-
-RESTRICT="mirror"
-
-S="${WORKDIR}"
-
-src_unpack() {
- unpack_deb ${A}
-}
-
-src_install() {
- mv * "${D}" || die
- sed -i "s/Utility/System/g" "${D}"usr/share/applications/"${PN}"-electron.desktop
- fperms 0755 /opt/Etcher/"${PN}"-electron || die
-}
diff --git a/sys-boot/etcher/etcher-1.3.1-r1.ebuild b/sys-boot/etcher/etcher-1.5.51.ebuild
index f957dd33..63e067f8 100644
--- a/sys-boot/etcher/etcher-1.3.1-r1.ebuild
+++ b/sys-boot/etcher/etcher-1.5.51.ebuild
@@ -8,7 +8,7 @@ inherit eutils unpacker
DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
HOMEPAGE="https://etcher.io/"
-SRC_URI="https://github.com/resin-io/${PN}/releases/download/v${PV}/${PN}-electron_${PV}_amd64.deb"
+SRC_URI="https://github.com/balena-io/${PN}/releases/download/v${PV}/balena-${PN}-electron_${PV}_amd64.deb"
LICENSE="GPL2"
SLOT="0"
@@ -24,7 +24,7 @@ DEPEND="dev-libs/nss
x11-libs/libnotify"
RDEPEND="${DEPEND}"
-RESTRICT="mirror"
+RESTRICT="mirror strip"
S="${WORKDIR}"
@@ -34,6 +34,8 @@ src_unpack() {
src_install() {
mv * "${D}" || die
- sed -i "s/Utility/System/g" "${D}"usr/share/applications/"${PN}"-electron.desktop
- fperms 0755 /opt/Etcher/"${PN}"-electron || die
+ sed -i "s/Utility/System/g" "${D}"usr/share/applications/balena-"${PN}"-electron.desktop
+ sed -i "s/Icon\=balena-etcher-electron/Icon\=etcher/g" "${D}"usr/share/applications/balena-"${PN}"-electron.desktop
+ rm -rf "${D}"usr/share/doc
+ fperms 0755 /opt/balenaEtcher/balena-"${PN}"-electron || die
}